Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## play.modules.morphia
Enum MorphiaEvent

    java.lang.Object
      java.lang.Enum<MorphiaEvent>
          play.modules.morphia.MorphiaEvent

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<MorphiaEvent>

    public enum MorphiaEvent

extends java.lang.Enum<MorphiaEvent>

Nested Class Summary
`static interface` | `MorphiaEvent.IMorphiaEventHandler`
`static class` | `MorphiaEvent.MorphiaEventHandlerAdaptor`

Enum Constant Summary
`ADDED`
`BATCH_DELETED`
`DELETED`
`LOADED`
`ON_ADD`
`ON_BATCH_DELETE`
`ON_DELETE`
`ON_LOAD`
`ON_UPDATE`
`UPDATED`

Field Summary
`static java.lang.String` | `PREFIX`

Method Summary
`static MorphiaEvent` | `forId(java.lang.String name)`
`java.lang.String` | `getId()`
`abstract void` | `invokeOn(MorphiaEvent.IMorphiaEventHandler handler, java.lang.Object context)`
`static void` | `main(java.lang.String[] sa)`
`static MorphiaEvent` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MorphiaEvent[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ON_LOAD

    public static final MorphiaEvent ON_LOAD

### LOADED

    public static final MorphiaEvent LOADED

### ON_ADD

    public static final MorphiaEvent ON_ADD

### ADDED

    public static final MorphiaEvent ADDED

### ON_UPDATE

    public static final MorphiaEvent ON_UPDATE

### UPDATED

    public static final MorphiaEvent UPDATED

### ON_DELETE

    public static final MorphiaEvent ON_DELETE

### DELETED

    public static final MorphiaEvent DELETED

### ON_BATCH_DELETE

    public static final MorphiaEvent ON_BATCH_DELETE

### BATCH_DELETED

    public static final MorphiaEvent BATCH_DELETED

Field Detail

### PREFIX

    public static final java.lang.String PREFIX

See Also:
  Constant Field Values

Method Detail

### values

    public static MorphiaEvent[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MorphiaEvent c : MorphiaEvent.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MorphiaEvent valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public java.lang.String getId()

### invokeOn

    public abstract void invokeOn(MorphiaEvent.IMorphiaEventHandler handler,
                                  java.lang.Object context)

### forId

    public static MorphiaEvent forId(java.lang.String name)

### main

    public static void main(java.lang.String[] sa)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD